Subject: Deprecate t3lib_install

Description

t3lib_install contained two logical parts in the past: A group of methods to handle localconf.php and another group to parse
ext_tables.sql files and friends. The latter was already extracted to t3lib_install_sql in the past. The localconf handling is obsolete with
the new LocalConfiguration.php and its new API method.
The patch handles:

- Deprecate t3lib_install and change the code in a way that does not harm if still called.

- Move some methods and properties to TYPO3\CMS\Install\Installer, make the class standalone and do not extend t3lib_install
anymore.

Related issues:
related to Core - Bug # 41084: Installation: Cannot redeclare class t3lib_ins... Resolved 2012-09-20
duplicated by Core - Bug # 39241: Deprecate / cleanup t3lib_install Closed 2012-07-25

Associated revisions

Revision ef56b932 - 2012-09-22 13:48 - Markus Klein

[BUGFIX] Deprecate t3lib_install

t3lib_install contained two logical parts in the past: A group of methods
to handle localconf.php and another group to parse ext_tables.sql files
and friends. The latter was already extracted to t3lib_install_sql in the
past. The localconf handling is obsolete with the new

LocalConfiguration.php and its new APl method.

The patch handles: * Deprecate t3lib_install and change the code in a way that does not
harm if still called. * Move some methods and properties to TYPO3\CMS\Install\Installer, make
the class standalone and do not extend t3lib_install anymore.

Fixes: #41245
Releases: 6.0

Change-Id: lafd856ecdc9e158fdc1b31d1f7be97064234babe
Reviewed-on: http://review.typo3.org/14908

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2012-09-22 12:38 - Christian Kuhn
http://review.typo3.org/14908

- Subject changed from Deprecated t3lib_install to Deprecate t3lib_install
#2 - 2012-09-22 12:45 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.0org/14908

#3 - 2012-09-22 13:33 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14908

#4 - 2012-09-22 14:30 - Markus Klein
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:ef560932257c0879c7a3fb054254ab57dca784fd.
